
#include <Python.h>
#include <string>
#include <iostream>
using namespace std;

int main()
{
    Py_Initialize();
    PyRun_SimpleString("import sys");
    PyRun_SimpleString("sys.path.append('./')");
    PyRun_SimpleString("sys.path.append('../')");
    
    PyObject* module = PyImport_ImportModule("testapp");
    PyObject* factory = PyObject_GetAttrString(module, "create");
    PyObject* pytester = PyEval_CallObject(factory, 0);
    char method[] = "test";
    PyObject* ret = PyObject_CallMethod(pytester, method, 0);
    std::string str = PyString_AsString(ret);
    std::cout << str << std::endl;
    Py_Finalize();
}
